LibreOffice: XListEntryListener Interface Reference

LibreOffice LibreOffice 24.8 SDK API Reference |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XListEntryListener Interface Reference

specifies a listener for changes in a string entry list More...

`import "XListEntryListener.idl";`

Inheritance diagram for XListEntryListener:

## Public Member Functions
void | entryChanged ([in] ListEntryEvent Source)
| notifies the listener that a single entry in the list has change
void | entryRangeInserted ([in] ListEntryEvent Source)
| notifies the listener that a range of entries has been inserted into the list
void | entryRangeRemoved ([in] ListEntryEvent Source)
| notifies the listener that a range of entries has been removed from the list
void | allEntriesChanged ([in] com::sun::star::lang::EventObject Source)
| notifies the listener that all entries of the list have changed.
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

specifies a listener for changes in a string entry list

## Member Function Documentation

## ◆ allEntriesChanged()

void allEntriesChanged | ( | [in] com::sun::star::lang::EventObject | Source | ) |

notifies the listener that all entries of the list have changed.

The listener should retrieve the complete new list by calling the XListEntrySource::getAllListEntries() method of the event source (which is denoted by com::sun::star::lang::EventObject::Source).

## ◆ entryChanged()

void entryChanged | ( | [in] ListEntryEvent | Source | ) |

notifies the listener that a single entry in the list has change

Parameters

  Source | is the event describing the change. The ListEntryEvent::Position member denotes the position of the changed entry, the first (and only) element of the ListEntryEvent::Entries member denotes the new string

## ◆ entryRangeInserted()

void entryRangeInserted | ( | [in] ListEntryEvent | Source | ) |

notifies the listener that a range of entries has been inserted into the list

Parameters

  Source | is the event describing the change. The ListEntryEvent::Position member denotes the position of the first inserted entry, the ListEntryEvent::Entries member contains the strings which have been inserted.

## ◆ entryRangeRemoved()

void entryRangeRemoved | ( | [in] ListEntryEvent | Source | ) |

notifies the listener that a range of entries has been removed from the list

Parameters

  Source | is the event describing the change. The ListEntryEvent::Position member denotes the position of the first removed entry, the ListEntryEvent::Count member the number of removed entries.

The documentation for this interface was generated from the following file:

- com/sun/star/form/binding/XListEntryListener.idl